# Updating an existing Estimate

This endpoint returns structured Estimate objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the estimates top-level JSON key.
Please see our Response Format section for more information.

Endpoint: PUT /estimates/{id}
Version: 1.0.0

## Path parameters:

  - `id` (integer, required)
    The ID of the Model.

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- creator (User) - The user who created the estimate.
- custom_field_values (CustomFieldValue) - The value set on estimate custom fields.
- estimate_scenarios (EstimateScenario) - The EstimateScenarios of the estimate.
- external_references (ExternalReference) - Includes references to external integrations for this object.
- workspace (Workspace) - The Workspace that was created from the Project.
- workspace_group (WorkspaceGroup) - The WorkspaceGroup (client) of the estimate.

## Request fields (application/json):

  - `estimate` (object)

  - `estimate.name` (string)
    The name of the Estimate.

  - `estimate.workspace_group_id` (integer)
    The Client the Estimate is created for.

  - `estimate.description` (string)
    The description of the estimate.

  - `estimate.external_reference` (object)
    Typically populated programmatically by a third party system via an integration, this is an optional
object that holds data from an external system. It connects objects in an external system with objects in
Kantata OX (for example, to connect a Jira issue to a Kantata OX Project).

  - `estimate.external_reference.service_name` (string, required)
    The provider name of the integration. If you are adding multiple external references to the same object, the service_name must be unique.

  - `estimate.external_reference.service_model` (string, required)
    The object type of the external object this external reference belongs to.

  - `estimate.external_reference.service_model_ref` (string, required)
    The object ID of the external object this external reference belongs to.

  - `estimate.external_reference.status` (string)
    The status of the integration. Options are successful, pending,  or failed.

  - `estimate.external_reference.external_message` (string)
    The message on the external object.

  - `estimate.external_reference.external_link` (string)
    The link to the external object.

  - `estimate.external_reference.external_status` (string)
    The status of the external object in the external system.

  - `estimate.external_reference.locked` (boolean)
    Whether the subject is locked.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `estimates` (object)

  - `external_references` (object)

  - `users` (object)

  - `workspace_groups` (object)

  - `estimate_scenarios` (object)

  - `workspaces` (object)

  - `custom_field_values` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


